    /*
     *  call-seq:
     *     index_reader.max_doc -> number
     *
     *  Returns 1 + the maximum document id in the index. It is the
     *  document_id that will be used by the next document added to the index. If
     *  there are no deletions, this number also refers to the number of documents
     *  in the index.
     */
    static VALUE
    frb_ir_max_doc(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return INT2FIX(ir->max_doc(ir));
    }